Subject: Re: [PATCH] Python scripts audited for minimum compatible version and checks added.

From: "Eric S. Raymond" <[email-masked]>
Date: Mon, 24 Dec 2012 00:21:50 -0500

Junio C Hamano <[email-masked]>:
> Junio C Hamano <[email-masked]> writes:
> 
> > I needed something like this on top of it to get it pass t5800.
> >
> > diff --git a/git_remote_helpers/git/__init__.py b/git_remote_helpers/git/__init__.py
> > index 776e891..5047fd4 100644
> > --- a/git_remote_helpers/git/__init__.py
> > +++ b/git_remote_helpers/git/__init__.py
> > @@ -1,3 +1,5 @@
> > +import sys
> > +
> >  if sys.hexversion < 0x02040000:
> >      # The limiter is the subprocess module
> >      sys.stderr.write("git_remote_helpers: requires Python 2.4 or later.")
> 
> Ping?  Is the above the best fix for the breakage?

Sorry, I missed this the first time around.  Yes, I think it is.
 
> If it weren't __init__, I'd silently squash it in, but the filename
> feels a bit more magic than the ordinary *.py files, so I was worried
> there may be some other rules involved what can and cannot go in to
> such a file, hence I've been waiting for an ack or alternatives.

Nope, no special rules.
-- 
		<a href="http://www.catb.org/~esr/">Eric S. Raymond</a>